Bug 44266 - Unable to change variable values whilst debugging
Summary: Unable to change variable values whilst debugging
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C9)
Assignee: David Karlaš
URL:
Depends on:
Blocks:
 
Reported: 2016-09-13 20:34 UTC by Greg Munn
Modified: 2016-12-28 11:34 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Greg Munn 2016-09-13 20:34:47 UTC
Debugging some async code and I'm not able to change the values of a variable. The locals will look like I did if I change it there but the variable isn't updated.
Comment 2 xamarin-release-manager 2016-10-19 14:30:25 UTC
Fixed in version 6.2.0.870 (master)

Author: David Karlas??
Commit: ac17c08938408abc7f5aaf0f862d83bbd2b56d42 (mono/debugger-libs)
Included in Commit: 919cf81726d04474055fd5d6f8444da3d2688ca0 (mono/monodevelop)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.